/* Custom var.css */
:root {
  /* colors */
  --color-hm-green: #50787f !important;
  --color-cool-grey: #9a9b9d !important;
  --color-accent-breaker-bay: #50787f !important;
  --color-sm-orange: #dc582a !important;
  --color-accent-grey: #d7d7d7 !important;
  --color-gray-30: #636467 !important;
  /* fonts */
  --body-font-color: var(--color-black) !important;
  --body-font-family: "Helvetica", sans-serif !important;
  --monospace-font-family: monospace, monospace !important;
  --monospace-font-weight-bold: 50 !important;
  /* Font weight */
  --weight-light: 300 !important;
  --weight-normal: 400 !important;
  --weight-medium: 500 !important;
  --weight-semibold: 600 !important;
  --weight-bold: 700 !important;
  /* base */
  --body-background: var(--color-white) !important;
  --panel-border-color: var(--color-black) !important;
  /* navbar */
  --navbar-button-background: var(--color-hm-green) !important;
  --navbar-button-border-color: var(--color-black) !important;
  --navbar-button-font-color: var(--color-black) !important;
  --navbar-menu-border-color: var(--color-black) !important;
  --navbar-menu-background: var(--color-hm-green) !important;
  --navbar-menu-font-color: var(--color-black) !important;
  /* nav */
  --nav-background: var(--color-black) !important;
  --nav-border-color: var(--color-sm-orange) !important;
  --nav-heading-font-color: var(--color-black) !important;
  --nav-panel-divider-color: var(--color-white) !important;
  --nav-secondary-background: var(--color-black) !important;
  /* toolbar */
  --toolbar-background: #191919 !important;
  --toolbar-border-color: var(--color-black) !important;
  --toolbar-font-color: var(--color-white) !important;
  --toolbar-muted-color: var(--color-black) !important;
  --page-version-missing-font-color: var(--color-black) !important;
  /* toc */
  --toc-font-color: var(--color-hm-green) !important;
  --toc-heading-font-color: var(--color-white) !important;
  --toc-border-color: var(--color-hm-green) !important;
  /* doc */
  --doc-font-color: var(--color-white) !important;
  --heading-font-color: var(--color-black) !important;
  --section-divider-color: var(--color-hm-green) !important;
  --link-font-color: var(--color-hm-green) !important;
  --link_hover-font-color: var(--color-sm-orange) !important;
  --admonition-background: var(--color-accent-grey) !important;
  --caption-font-color: var(--color-hm-green) !important;
  --code-background: var(--color-black) !important;
  --code-font-color: var(--color-cool-grey) !important;
  --example-background: var(--color-gray-70) !important;
  --example-border-color: var(--color-black) !important;
  --kbd-background: var(--color-black) !important;
  --pre-background: var(--color-jet-30) !important;
  --pre-border-color: var(--color-black) !important;
  --quote-background: var(--color-black) !important;
  --quote-border-color: var(--color-hm-green) !important;
  --quote-font-color: var(--color-gray-10) !important;
  --quote-attribution-font-color: var(--color-gray-50) !important;
  --sidebar-background: var(--color-gray-50) !important;
  --color-border: var(--color-hm-green) !important;
  /* footer */
  --footer-background: var(--color-gray-50) !important;
  --footer-font-color: var(--color-black) !important;
  --footer-link-font-color: var(--color-hm-green) !important;
  --color-footer-text: var(--color-white) !important;
  --color-footer-text-alt: var(--color-hm-green) !important;
  --color-footer-terms-text: var(--color-hm-green) !important;
  /* dimensions and positioning */
  --doc-max-width: 100rem !important;
  --doc-max-width--desktop: 100rem !important;
}

body {
  padding-top: 0;
}

/* asciidoc theming */
span.small {
  font-size: 12px;
}

span.large {
  font-size: 20px;
}

b,
dt,
strong,
th {
  font-weight: 750 !important;
}

/* Custom header.css */
.navbar {
  background: #50787f !important;
}

.navbar-burger {
  display: none;
}

.navbar-burger span {
  background-color: #50787f;
}

.navbar-brand img {
  transition: height 0.5s ease;
  width: 240px;
  padding: 10px 0 0 0;
}

p.navbar-title {
  padding: 0 0 0 5px;
  margin: 1px 1px 0 0;
  color: var(--color-white) !important;
  background-color: #191919;
  font-weight: bold;
  font-size: 0.8em;
}

.navbar-item,
.navbar-link {
  padding: 0 1rem;
  color: var(--color-white) !important;
}

.navbar-dropdown {
  background: #9a9b9d !important;
}

.navbar-dropdown a.navbar-item {
  font-size: 0.75em;
}

.navbar-dropdown a.navbar-item:hover {
  color: #000;
}
/* Custom nav.css */
.nav {
  color: var(--color-white) !important;
}

.nav .panels {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

.nav-panel-explore {
  background: var(--color-black);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  position: absolute;
  min-height: 60px;
  right: 0;
  bottom: 0;
  left: 0;
}

.nav-panel-explore .context {
  color: var(--nav-panel-divider-color) !important;
}

.nav-panel-explore .component {
  color: var(--navbar-font-color);
}

.nav-panel-explore .component .title {
  color: var(--nav-border-color);
}

.nav-panel-explore .component .version a {
  border: 1px solid var(--navbar-font-color) !important;
}

.nav-panel-explore .component .is-current a {
  color: var(--nav-border-color);
}

.nav-menu h3.title {
  color: var(--color-white) !important;
  font-weight: bold;
}

.toc .toc-menu a.is-active {
  color: #dc582a;
}

.toc .toc-menu h3 {
  color: #000;
  font-weight: bold;
}

/* Custom toolbar.css */
.toolbar {
  background-color: #000;
  top: 0;
}

.toolbar-logo {
  padding: 1rem 0;
  width: 250px;
}

.toolbar-logo img {
  width: 100%;
  vertical-align: top;
}

.col {
  width: 100%;
}

.home-link {
  background: url(../img/github-dark.png) no-repeat 50% 45% !important;
}

.home-link:hover,
.home-link.is-current {
  background-image: url(../img/home.svg);
}

.edit-this-page {
  display: none;
}

@media screen and (min-width: 1024px) {
  .edit-this-page {
    display: none;
  }

  .navbar-end .navbar-link,
  .navbar-end > .navbar-item {
    color: var(--color-white) !important;
    padding: 5px 35px 5px 10px;
  }

  .navbar-burger {
    display: none !important;
  }

  .navbar-dropdown {
    left: -35px;
  }
}

@media screen and (max-width: 1023.5px) {
  .navbar-brand {
    height: auto;
  }

  .nav-container {
    top: 2.5rem;
  }

  .navbar-brand img {
    height: 65px;
  }
}

@media screen and (min-width: 360px) {
  .navbar-burger {
    color: var(--color-white) !important;
    background: none;
    border: none;
    outline: none;
    line-height: 1;
    height: 2.5rem;
    position: relative;
    width: 2.75rem;
    margin-left: auto;
    padding: 0;
    display: flex;
  }

  .nav {
    top: 0;
    height: 100vh;
  }
}

.toolbar .edit-this-page a {
  display: none;
}

/* Custom doc.css */
.doc {
  color: #000;
  margin: 0 2rem 3rem;
}

.doc hr {
  color: #000;
  margin: 1rem 0;
  border: 0 solid var(--color-border);
  border-top-width: 1px;
}

.doc .listingblock pre:not(.highlight),
.doc .literalblock pre,
.doc pre.highlight code {
  background: #e3e3e3;
}
